package com.jxy.order.service;

import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.order.dto.ConsumeDto;
import com.jxy.order.vo.LevelUpVo;
import com.jxy.order.vo.StatusPageVo;

import java.util.List;

/**
 * @Description 消费服务
 * @Date 2023/5/4 14:10
 * @Author 杜懿
 */
public interface ConsumeService {


    /**
     * 获取消费订单应支付信息
     * @return
     */
    public AjaxResult getNeedFunding();

    /**
     * 生成消费订单
     * @param vo
     * @return
     */
    public AjaxResult levelUp(LevelUpVo vo);

    /**
     * 查看个人历史消费记录
     * @param
     * @param vo
     * @return
     */
    public List<ConsumeDto> privateConsume(StatusPageVo vo);


    public AjaxResult test();

}
